body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #FFF;
    background: #5500FF;
    font-family: roboto;
    font-size: 40px;
    border: 4px solid #5500FF;
    border-radius: 5px;
    font-weight: 300;
    letter-spacing: 0;
    padding: 10px 40px;
    position: relative;
    /* overflow: hidden; */
    transition: all 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

a svg{
    position: absolute;
    right: 65%;
    width: 40px;
    height: 40px;
    color: #FFF;
    transition: all .3s;
    opacity: 0;
}

a:hover{
    padding-left: 60px;
}

a:hover svg{
    right: 73%;
    opacity: 1;
}